/v1/workspaces/{workspace_id}/received/{id}/readAuthMark a received email as read
Path parameters
workspace_id*string · uuidId of the workspace.
id*string · uuidReceived email id.
Response · 204
Marked read (idempotent).
Example
Request
POST https://api.mail.productcraft.co/v1/workspaces/{workspace_id}/received/{id}/read
Authorization: Bearer YOUR_TOKENimport { Mail } from "@productcraft/mail";
// Reads PRODUCTCRAFT_API_KEY from the environment
const mail = new Mail();
await mail.received.read("3f0c3c1e-8a2b-4c55-9d3f-0a1b2c3d4e5f");mail.received.read(id, options?): void